package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.communityNews.CommentContent;

import java.util.List;


/**
 * 社区资讯评论内容Mapper接口
 * 
 * @author boman
 * @date 2025-02-25
 */
public interface CommentContentMapper 
{
    /**
     * 查询社区资讯评论内容
     * 
     * @param contentId 社区资讯评论内容主键
     * @return 社区资讯评论内容
     */
    public CommentContent selectCommentContentByContentId(Long contentId);

    /**
     * 查询社区资讯评论内容列表
     * 
     * @param commentContent 社区资讯评论内容
     * @return 社区资讯评论内容集合
     */
    public List<CommentContent> selectCommentContentList(CommentContent commentContent);

    /**
     * 新增社区资讯评论内容
     * 
     * @param commentContent 社区资讯评论内容
     * @return 结果
     */
    public int insertCommentContent(CommentContent commentContent);

    /**
     * 修改社区资讯评论内容
     * 
     * @param commentContent 社区资讯评论内容
     * @return 结果
     */
    public int updateCommentContent(CommentContent commentContent);

    /**
     * 删除社区资讯评论内容
     * 
     * @param contentId 社区资讯评论内容主键
     * @return 结果
     */
    public int deleteCommentContentByContentId(Long contentId);

    /**
     * 批量删除社区资讯评论内容
     * 
     * @param contentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCommentContentByContentIds(Long[] contentIds);

    /**
     * 更新社区资讯评论内容表
     * @param commentId 评论主键
     * @return
     */
    public int updateCommentContentByContentId(Long commentId);

    /**
     * 删除评论内容表数据
     * @param commentId 评论id
     * @return
     */
    public int deleteCommentContentByCommentId(Long commentId);

    /**
     * 更新评论内容表点赞数量
     * @param commentContent
     * @return
     */
    int updateCommentContentByCommentId(CommentContent commentContent);
}
